#!/bin/bash
#
# This script runs an already-compiled BeagleRT project on the
# BeagleBone Black.

BBB_ADDRESS="root@192.168.7.2"
BBB_PATH="~/BeagleRT"
COMMAND_ARGS=

function usage
{
    THIS_SCRIPT=`basename "$0"`
    echo "Usage: $THIS_SCRIPT [-b path-on-beaglebone] [-c command-line-args]"

    echo "
    This script runs a previously compiled BeagleRT project on the 
    BeagleBone Black. The -b option changes the default path, which
    is otherwise $BBB_PATH. The -c option passes command-line arguments
    to the BeagleRT program; enclose the argument string in quotes."
}

OPTIND=1

while getopts "b:c:h" opt; do
    case $opt in
        b)            BBB_PATH=$OPTARG
                      ;;
        c)            COMMAND_ARGS=$OPTARG
                      ;;
        h|\?)         usage
                      exit 1
    esac
done

shift $((OPTIND-1))

echo "Running BeagleRT..."
ssh $BBB_ADDRESS "kill -s 2 \`pidof BeagleRT\` 2>/dev/null ; sleep 0.5 ; screen -d -m $BBB_PATH/BeagleRT $COMMAND_ARGS"